
.prd,
.prd * {
  box-sizing: border-box;
}

.prd {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: flex-start;
  justify-content: center;
  flex: 1;
  position: relative;
  overflow: hidden;
  cursor: pointer;
}

.mainframe {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: flex-start;
  justify-content: center;
  align-self: stretch;
  flex-shrink: 0;
  height: 505px;
  position: relative;
  overflow: hidden;
  aspect-ratio: 342.5/459.35;
}

.prd-img {
  align-self: stretch;
  flex-shrink: 0;
  height: 505px;
  position: relative;
  aspect-ratio: 342.5/459.35;
}

.prd-image {
  width: 100%;
  height: 100%;
  position: absolute;
  right: 0%;
  left: 0%;
  bottom: 0%;
  top: 0%;
 object-fit: contain;
}

.discount,
.prd-coupon {
  background: rgba(255, 255, 255, 0.5);
  border: 0.5px solid transparent;
  padding: 5px;
  display: flex;
  flex-direction: row;
  gap: 10px;
  align-items: center;
  justify-content: flex-start;
  flex-shrink: 0;
  position: absolute;
  top: 5.24px;
  overflow: hidden;
}

.discount {
  left: 4.5px;
}

.prd-coupon {
  left: 5.5px;
}

.discount-percentage {
  color: #F44336;
  text-align: left;
  font-size: var(--font-md);
  font-weight: 400;
  position: relative;
}

.prd-coupon-code {
  color: #000000;
  text-align: left;
  font-size: var(--font-md);
  font-weight: 400;
  position: relative;
}

.codedes {
  background: rgba(0, 0, 0, 0.3);
  padding: 5px 10px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  overflow: hidden;
}

.codedes-label {
  color: #ffffff;
  font-size: var(--font-base);
  font-weight: 400;
  text-transform: capitalize;
  text-align: center;
  flex: 1;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.prd-logo {
  color: #000000;
  text-align: left;
  font-size: var(--font-base);
  font-weight: 700;
  position: relative;
}

.prd-name {
  color: #909090;
  text-align: left;
  font-size: var(--font-base);
  font-weight: 400;
  position: relative;
  align-self: stretch;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  line-height: 1.4em;
  -webkit-line-clamp: 1;
  height: 2.8em; 
}

.divider {
  height: 0.5px;
  background-color: #2c1414;
  width: 100%;
  flex-shrink: 0;
  align-self: stretch;
}

.pricelist {
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: flex-start;
  justify-content: flex-start;
  align-self: stretch;
  flex-shrink: 0;
  position: relative;
  overflow: hidden;
}

.prd-collection {
  color: #909090;
  text-align: left;
  font-size: var(--font-xs);
  font-weight: 400;
  position: relative;
  text-transform: uppercase;
}

.price {
  display: flex;
  flex-direction: row;
  gap: 10px;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  height: 16px;
  position: relative;
  overflow: hidden;
}

.price-current {
  color: #000000;
  text-align: left;
  font-size: var(--font-md);
  font-weight: 400;
  position: relative;
}

.price-original {
  color: #909090;
  text-align: left;
  font-size: var(--font-base);
  font-weight: 400;
  text-decoration: line-through;
  position: relative;
}


.pd-cart-frame,
.pd-cart-frame * {
  box-sizing: border-box;
}
.pd-cart-frame {
  border-style: solid;
  border-color: rgba(0, 0, 0, 0.1);
  border-width: 0px 0px 1px 0px;
  padding: 0px;
  display: flex;
  flex-direction: row;
  gap: 10px;
  align-items: center;
  justify-content: flex-start;
  align-self: stretch;
  flex-shrink: 0;
  position: relative;
  overflow: hidden;
}
.pd-cart-img {
  flex-shrink: 0;
  width: 125px;
  height: 180px;
  position: relative;
  object-fit: contain;
}

.pd-cart-id {
  color: #000000;
  text-align: left;
  font-size: var(--font-base) !important;
  font-weight: 700;
  position: relative;
}

.pd-cart-name {
 color: #909090;
  text-align: left;
  font-size: var(--font-base) !important;
  font-weight: 400;
  position: relative;
  align-self: stretch;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.pd-cart-cup {
  color: #909090;
  text-align: left;
  font-size: var(--font-base) !important;
  font-weight: 400;
  position: relative;
}

.pd-cart-size {
  color: #909090;
  text-align: left;
  font-size: var(--font-base) !important;
  font-weight: 400;
  position: relative;
}

.pd-cart-note {
  color: #909090;
  text-align: left;
  font-size: var(--font-base) !important;
  font-weight: 400;
  position: relative;
}

.pd-cart-detail {
  padding: 10px;
  display: flex;
  flex-direction: column;
  gap: 5px;
  align-items: flex-start;
  justify-content: flex-start;
  flex: 1;
  position: relative;
  overflow: hidden;
}

.pd-cart-price {
  padding: 3px 0px 3px 0px;
  display: flex;
  flex-direction: row;
  gap: 5px;
  align-items: flex-end;
  justify-content: flex-start;
  flex-shrink: 0;
  position: relative;
  overflow: hidden;
}

.pd-cart-sellprice {
  display: flex;
  flex-direction: row;
  gap: 0px;
  align-items: center;
  justify-content: flex-start;
  flex-shrink: 0;
  position: relative;
  overflow: hidden;
}

.pd-cart-amount {
  color: #000000;
  text-align: left;
  font-size: var(--font-md) !important;
  font-weight: 400;
  position: relative;
}

.pd-cart-totalprice {
  color: #000000;
  text-align: left;
  font-size: var(--font-md) !important;
  font-weight: 700;
  position: relative;
}


.pd-cart-fullamount {
  color: #909090;
  text-align: left;
  font-size: var(--font-base) !important;
  font-weight: 400;
  text-decoration: line-through;
  position: relative;
}

.pd-cart-currency {
  color: #000000;
  text-align: left;
  font-size: var(--font-md) !important;
  font-weight: 400;
  position: relative;
}

.pd-cart-discountprice {
  display: flex;
  flex-direction: row;
  gap: 0px;
  align-items: center;
  justify-content: flex-start;
  flex-shrink: 0;
  position: relative;
  overflow: hidden;
}

.pd-cart-manage {
  padding: 10px 0px 10px 0px;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  justify-content: space-between;
  align-self: stretch;
  flex-shrink: 0;
  position: relative;
  overflow: hidden;
}




.pd-cart-wrapper {
  padding: 3px 0px 3px 0px;
  display: flex;
  flex-direction: row;
  gap: 5px;
  align-items: flex-end;
  justify-content: flex-start;
  flex-shrink: 0;
  position: relative;
  overflow: hidden;
}
.pd-price-wrapper {
  display: flex;
  flex-direction: row;
  gap: 0px;
  align-items: center;
  justify-content: flex-start;
  flex-shrink: 0;
  position: relative;
  overflow: hidden;
}


.promo-title {
  font-weight: bold;
  font-size: 18px;
  color: #000;
  margin: 0 auto;   text-align: center; 
}

.promo-desc {
  font-size: 14px;
  color: #888; /* สีเทาอ่อน */
  line-height: 1.4;
  margin: 0 auto;  
  text-align: center; 
}

/* Media Queries */
@media (max-width: 730px) {

  .btn {
    /* font-size: var(--font-base) !important; */
    padding: 0.375rem 0.75rem !important;
  }

  .promo-title {

    font-size: 14px !important;

  }

  .promo-desc {
    font-size: 10px !important;
  }

  .mainframe{
   height: 320.35px;
  }

  .mainframe,
  .prd-img {
    width: 100% !important;
    height: auto !important;
    aspect-ratio: 342.5 / 459.35;
  }

  .codedes {
    width: 100% !important;
    padding: 4px 6px !important;
    font-size: var(--font-xs) !important;
    margin-bottom: 0 !important;
    justify-content: center !important;
  }

  .codedes-label {
    font-size: var(--font-base) !important;
  }

  .discount,
  .prd-coupon {
    padding: 3px 5px !important;
    font-size: var(--font-base);
    top: 4px;
  }

  .discount-percentage,
  .prd-coupon-code {
    font-size: var(--font-base) !important;
  }

  .prd-logo {
    font-size: var(--font-base) !important;
  }

  .prd-name {
    font-size: var(--font-base) !important;
    -webkit-line-clamp: 2;
    height: 2.7em;
  }


  .prd-collection {
    font-size: var(--font-xs) !important;
  }

  .price {
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 6px !important;
    height: auto !important;
  }

  .price-current {
    font-size: var(--font-base) !important;
  }

  .price-original {
    font-size: var(--font-sm) !important;
  }

  .divider {
    height: 0.3px !important;
  }

  .prd {
    gap: 6px !important;
    padding: 4px 0 !important;
    margin-bottom: 6px !important;
  }

  .pricelist {
    gap: 4px !important;
  }

  .pd-cart-img{

    width: 85px !important;
    height: auto !important;
  }
}

@media (max-width: 1025px) {

  .mainframe {
    height: 400.35px
  }

}